Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1364609 - python-pyrax fails to import
Summary: python-pyrax fails to import
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: python-pyrax
Version: 26
Hardware: noarch
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Christos Triantafyllidis
QA Contact: Fedora Extras Quality Assurance
URL: https://github.com/rackspace/pyrax/is...
Whiteboard:
Depends On: 1296516
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-05 22:59 UTC by Ricardo Cordeiro
Modified: 2018-05-29 12:15 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-29 12:15:05 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github https://github.com/rackspace pyrax issues 544 None None None 2016-08-05 22:59:38 UTC

Description Ricardo Cordeiro 2016-08-05 22:59:39 UTC
Description of problem: python-pyrax fails to import


Version-Release number of selected component (if applicable): 1.9.5-4


How reproducible: Always


Steps to Reproduce:
1. dnf -y install python-pyrax
2. python -c 'import pyrax'

Actual results:

[root@rawhide ~]# python -c 'import pyrax'
Traceback (most recent call last):
  File "<string>", line 1, in <module>
  File "/usr/lib/python2.7/site-packages/pyrax/__init__.py", line 60, in <module>
    from novaclient.v1_1 import client as _cs_client
ImportError: No module named v1_1


Expected results:

The library should import normally.


Additional info:

According to https://github.com/rackspace/pyrax/issues/544#issuecomment-166329128 bumping the package to version 1.9.6 should solve the issue.

Comment 1 Christos Triantafyllidis 2016-08-07 15:03:35 UTC
I'm working on this in parallel with 1296516. Looks like now we should be able to build the updated pyrax.

Comment 2 Fedora Update System 2016-08-07 18:44:14 UTC
python-pyrax-1.9.7-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-cd2e549643

Comment 3 Fedora Update System 2016-08-09 01:26:36 UTC
python-pyrax-1.9.7-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-cd2e549643

Comment 4 Ricardo Cordeiro 2016-08-11 10:39:39 UTC
I've verified that I can no longer reproduce this bug on python-pyrax-1.9.7-1.fc24

Comment 5 Ricardo Cordeiro 2017-01-06 17:46:29 UTC
Hi Christos,

As I was the reporter, I am closing this bug.

Comment 6 Ricardo Cordeiro 2017-01-06 18:01:13 UTC
Just realized that python-pyrax-1.9.7-1 was never pushed to the Fedora 24 updates repository. Re-opening.

Comment 7 Fedora End Of Life 2017-02-28 10:03:38 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 8 Fedora End Of Life 2018-05-03 08:32:50 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 9 Fedora End Of Life 2018-05-29 12:15:05 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.